namespace NetinaShop.Repository.Abstracts;

public interface IPaymentService : IScopedDependency
{
    Task<string> GetPaymentLinkAsync(Guid orderId, double amount, string description);
    Task<bool> VerifiedPaymentAsync(string fishNumber, Guid orderId);
}